#include "fmp_epay_p.h"
#include "fmp_pe_handlers.h"
class ctkPluginContext;

FMPePay::FMPePay(ctkPluginContext *context)
    : FMPePayInterface(context),
      _inited(false),
      d_ptr(new FMPePayPrivate)
{
    FMPStartEventHandler *ste_handler = new FMPStartEventHandler(_ctx, this);
}

int FMPePay::StopService()
{
    if (!_inited) return FMP_SUCCESS;

    Q_D(FMPePay);
    return d->StopService();
}

int FMPePay::Pay()
{
    Q_D(FMPePay);
    return d->Pay();
}
